Page MenuHomeFreeBSD

[New PORTS] emulators/riscv-fesvr emulators/riscv-isa-sim
ClosedPublic

Authored by lwhsu on Aug 16 2016, 12:37 PM.

Details

Summary

RISC-V Emulator Support Packages

Add these two packages from github for support of RISC-V development

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

sbruno retitled this revision from to RISC-V Emulator Support Packages.Aug 16 2016, 12:37 PM
sbruno updated this object.
sbruno edited the test plan for this revision. (Show Details)
sbruno added a reviewer: br.
sbruno updated this revision to Diff 19340.
sbruno updated this revision to Diff 19344.Aug 16 2016, 12:47 PM

Try using LIB_DEPENDS not BUILD_DEPENDS

sbruno updated this revision to Diff 19346.Aug 16 2016, 1:00 PM

Fixup pkg-plist duplicate entries.

Fixup and explicitly require a c++11 compiler for versions of
FreeBSD that don't have a newish clang by default.

sbruno retitled this revision from RISC-V Emulator Support Packages to [New PORTS] emulators/riscv-fesvr emulators/riscv-isa-sim.Aug 16 2016, 1:01 PM
sbruno updated this object.
sbruno updated this revision to Diff 19348.Aug 16 2016, 1:07 PM

Theoretically add all the svn keywords

mat added a comment.Aug 16 2016, 1:55 PM

The exact same remarks apply to the second port :-)

emulators/riscv-fesvr/Makefile
7 ↗(On Diff #19348)

This is not needed

9–13 ↗(On Diff #19348)

All this should be at the end, after the USES/USE block

11 ↗(On Diff #19348)

This is not needed

20 ↗(On Diff #19348)

I don't care, but someone from the sort police will tell you these should be sorted.

emulators/riscv-fesvr/distinfo
1–2 ↗(On Diff #19348)

This is missing a TIMESTAMP line, as it is enforced at commit time, you should add it now. (run make makesum)

emulators/riscv-fesvr/pkg-plist
15–17 ↗(On Diff #19348)

This looks like strangely sorted.

emaste added a subscriber: emaste.Aug 25 2016, 2:47 PM

@br are our patches going upstream?

br edited edge metadata.Sep 8 2016, 4:27 PM

many thanks I plan to test this soon
@emaste hopefully

lwhsu added a subscriber: lwhsu.Dec 18 2016, 4:50 PM
lwhsu added a reviewer: sbruno.Feb 7 2017, 5:37 AM
lwhsu commandeered this revision.
lwhsu edited edge metadata.Feb 7 2017, 5:42 AM
lwhsu updated this revision to Diff 24821.

try to improve a little bit

lwhsu marked 4 inline comments as done.Feb 7 2017, 5:46 AM
lwhsu updated this revision to Diff 24822.Feb 7 2017, 5:49 AM

more cleanup

lwhsu marked 2 inline comments as done.Feb 7 2017, 5:50 AM
br edited edge metadata.Feb 7 2017, 10:41 AM
br accepted this revision.
This revision is now accepted and ready to land.Feb 7 2017, 10:41 AM
This revision was automatically updated to reflect the committed changes.